ZIPROXYLOGTOOL(1)

NAME
ziproxylogtool - is a low-level log analyser

SYNOPSIS
ziproxylogtool [general_options] [filtering_options]

DESCRIPTION
ziproxylogtool is a low-level log analyser, its purpose is to be invoked by scripts. It is expected to be reasonably fast and generic. These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

GENERAL OPTIONS

-m, --mode mode
    Output mode:
    "g" - Global stats
    "h" - Per host stats (accesses, in_bytes, out_bytes, compression %, hostname)
    "f" - Filter mode (filter log entries according to filtering options)

-i, --in-file filename
    Input file (Ziproxy log file). If unspecified, uses stdin.

-o, --out-file filename
    Output file (stats output). If unspecified, uses stdout.

-h, --help
    Display summarized help

FILTERING OPTIONS
If ommited, won't apply.

-1, --epoch-min unix_epoch
    Filter entries starting from that epoch.

-2, --epoch-max unix_epoch
    Filter entries older than that epoch.

-3, --bytes-in-min bytes
    Filter entries which incoming_bytes >= <bytes>

-4, --bytes-in-max bytes
    Filter entries which incoming_bytes < <bytes>

-5, --bytes-out-min bytes
    Filter entries which outgoing_bytes >= <bytes>

-6, --bytes-out-max bytes
    Filter entries which outgoing_bytes < <bytes>

-7, --delay-min mili_seconds
    Filter entries which delay >= <mili_seconds>

-8, --delay-max mili_seconds
    Filter entries which delay < <mili_seconds>

SEE ALSO
ziproxy(1)

AUTHOR
ziproxylogtool was written by Daniel Mealha Cabrita.

This manual page was written by Marcos Talau <marcostalau@gmail.com>.